<div class="panel box box-info ">
    <div class="box-header with-border">
        <h4 class="box-title">
            <a data-toggle="collapse" href="#collapse{{id_box}}">
                <i class="{{renderModel.icon}}"> </i>&nbsp;
                <span [innerHTML]="renderModel.title"></span>
            </a>
        </h4>

        <div class="pull-right box-tools">
            <a type="button" *ngIf="renderModel.id != 0" (click)="OpenEdit()" class="btn btn-primary btn-sm"
                data-toggle="tooltip" title="Edit" data-original-title="Collapse">
                <i class="fa fa-edit"></i></a>

            <a type="button" *ngIf="renderModel.id == 0" (click)="OpenEdit()" class="btn btn-success btn-sm"
                data-toggle="tooltip" title="Add" data-original-title="Collapse">
                <i class="fa fa-plus"></i></a>

        </div>
    </div>
    <div id="collapse{{id_box}}" class="panel-collapse collapse  {{box_class}} ">
        <div class="box-body">
            <span [innerHTML]="renderModel.content" *ngIf="type=='html'"></span>
            <app-box-global-info-uno [data]="data_info_uno" *ngIf="type=='info'"></app-box-global-info-uno>
            <app-box-floor-plan [dataGeneral]="dataGeneral" *ngIf="type=='plan'"></app-box-floor-plan>
            <app-box-contact-us [dataGeneral]="dataGeneral" *ngIf="type=='contact'"></app-box-contact-us>
            <app-box-global-geolocation *ngIf="type=='geolocation'"> </app-box-global-geolocation>
            <app-box-global-info-team [data]="data_team" *ngIf="type =='team'"></app-box-global-info-team>
            <app-box-global-line [data]="data_line" *ngIf="type =='line'"></app-box-global-line>
            <app-box-global-content-list [data]="data_awards" *ngIf="type =='awards'">
            </app-box-global-content-list>
            <app-box-global-content-list [data]="data_amenities" *ngIf="type =='amenities'">
            </app-box-global-content-list>

            <app-box-global-content-list [data]="data_nearby" *ngIf="type =='nearby'">
            </app-box-global-content-list>
            <app-box-global-content-list [data]="data_building_facts" *ngIf="type =='building_facts'">
            </app-box-global-content-list>


            <app-box-active-listings [building]="building" [availabilitys]="availabilitys"
                *ngIf="type =='active-listings'">
            </app-box-active-listings>
            <app-box-similary [building]="building" [availabilitys]="availabilitys" *ngIf="type =='similary'">
            </app-box-similary>
            <app-box-asked-questions [building]="building" [availabilitys]="availabilitys"
                *ngIf="type =='asked-questions'">
            </app-box-asked-questions>

            <app-box-carrusel [data]="data_carrusel" *ngIf="type =='carrusel'"> </app-box-carrusel>


        </div>
    </div>
</div>